import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/api/webapp/disk/${url}`, ...arg)
export default {
	//课程中心-课程-详情（增加点击次数）
	addViewCount(data) {
		return request('coursecentry/addViewCount', data)
	},
	//课程中心-课程-详情（学生端）
	courseDetail(data) {
		return request('coursecentry/detail', data, 'get')
	},
	//课程中心-课程-详情（学生端）
	coursechapterList(data) {
		return request('coursecentry/coursechapterList', data, 'get')
	},
	//课程中心-课时-详情
	courseTimeDetail(data) {
		return request('coursecentry/hourDetail', data, 'get')
	},
	//课程中心-笔记/笔记本-添加
	notesSubmitForm(data, edit = false) {
		return request(`courseNotes/${edit ? 'edit' : 'add'}`, data)
	},
	//课程中心-笔记-分页列表
	notesList(data) {
		return request('courseNotes/page', data, 'get')
	},
	//课程中心-笔记-删除
	notesEdit(data) {
		return request('courseNotes/delete', data)
	},
	//课程中心-问答-添加/编辑
	askSubmitForm(data, edit = false) {
		return request(`answer/${edit ? 'edit' : 'add'}`, data)
	},
	//课程中心-问答-删除
	askDel(data) {
		return request('answer/delete', data)
	},
	//课程中心-问答-列表
	askList(data) {
		return request('answer/page', data, 'get')
	},
	//课程中心-问答-点赞/取消赞
	askLike(data, like = false) {
		return request(`answer/${edit ? 'giveCancel' : 'give'}`, data, 'get')
	},
}
